Subject: bug#35623: closed (Re: FW: bug#35623: guix pull failed on RHEL7)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 May 2019 22:20:02 +0000

Your bug report

#35623: guix pull failed on RHEL7

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35623: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35623
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: FW: bug#35623: guix pull failed on RHEL7
From: Ludovic Courtès <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 May 2019 00:19:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> Ludovic Courtès wrote:
>> Commit 48d498c2c3984784336b27ba5e261319f3ac6a3a lets HOME pass
>> through, which should sidestep the problem you encountered.
>
> This breaks ‘guix pull’, but I can't for the life of me see how HOME
> is being applied here.

Ouch, sorry for the mess, and thanks for reverting quickly!

I reverted the revert and added a fix in commit
e0244eb7a2290781ef490b6cedbd9c753caf6004.

Thanks,
Ludo’.

Subject: guix pull failed on RHEL7
From: Karrick McDermott <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 7 May 2019 18:03:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Note, I ran this with non privileged permissions, which might be wrong.  I am only sending this email because the program requested it.

[kmcdermo@kmcdermo-ld2 ~]$ uname -a
Linux kmcdermo-ld2.linkedin.biz 3.10.0-514.55.4.el7.x86_64 #1 SMP Fri Aug 10 17:03:02 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

[kmcdermo@kmcdermo-ld2 ~]$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
  guix      https://git.savannah.gnu.org/git/guix.git   338defe
Computing Guix derivation for 'x86_64-linux'...  Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 (((guix i18n)) ((guix colors)) ((guix gexp)) (#) ?))
   222:29 18 (map1 (((guix colors)) ((guix gexp)) ((guix sets)) (#) ?))
   222:29 17 (map1 (((guix gexp)) ((guix sets)) ((guix utils)) (#) ?))
   222:29 16 (map1 (((guix sets)) ((guix utils)) ((guix store)) (#) ?))
   222:29 15 (map1 (((guix utils)) ((guix store)) ((guix config)) # ?))
   222:29 14 (map1 (((guix store)) ((guix config)) ((guix #)) ((?)) ?))
   222:29 13 (map1 (((guix config)) ((guix packages)) ((guix #)) # ?))
   222:29 12 (map1 (((guix packages)) ((guix profiles)) ((guix #)) ?))
   222:17 11 (map1 (((guix profiles)) ((guix derivations)) ((# #)) ?))
  2800:17 10 (resolve-interface (guix profiles) #:select _ #:hide _ # ?)
In ice-9/threads.scm:
    390:8  9 (_ _)
In ice-9/boot-9.scm:
  2726:13  8 (_)
In ice-9/threads.scm:
    390:8  7 (_ _)
In ice-9/boot-9.scm:
  2994:20  6 (_)
   2312:4  5 (save-module-excursion #<procedure 2adf2d0 at ice-9/boo?>)
  3014:26  4 (_)
In unknown file:
           3 (primitive-load-path "guix/profiles" #<procedure 292eae?>)
In ./guix/profiles.scm:
  1788:23  2 (_)
In ./guix/utils.scm:
   661:47  1 (xdg-directory _ "/.config" #:ensure? _)
In unknown file:
           0 (getpw 10452)

ERROR: In procedure getpw:
In procedure getpw: entry not found
-guix pull: error: You found a bug: the program '/gnu/store/4hsmk7kh62yvbi154pyy3nq8drml116a-compute-guix-derivation'
failed to compute the derivation for Guix (version: "338defe0cbe156e8416647035403fccf059555e0"; system: "x86_64-linux";
host version: "1.0.0"; pull-version: 1).
Please report it by email to <[email-masked]>.